import request from "@/utils/request";
import { getClientId } from '@/utils/auth'

const BASE_URL = "/internal/callback-category";

// 回访类型列表
export function getCallbackCategoryListApi(params) {
  return request({
    url: `${BASE_URL}/list`,
    method: "get",
    params,
  });
}

// 保存或修改回访类型
export function updateCallbackCategoryApi(data) {
  return request({
    url: `${BASE_URL}/save`,
    method: "post",
    data: {
      clientId: getClientId(),
      ...data
    },
  });
}
// 删除回访类型
export function deleteCallbackCategoryListApi(data) {
  return request({
    url: `${BASE_URL}/remove`,
    method: "post",
    data,
  });
}
// 查询全部回访分类
export function getAllCallbackCategoryApi(data) {
  return request({
    url: `${BASE_URL}/all`,
    method: "post",
    data,
  });
}
